﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace howto_list_special_folders
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // List the folder types.
        private void Form1_Load(object sender, EventArgs e)
        {
            foreach (Environment.SpecialFolder folder_type
                in Enum.GetValues(typeof(Environment.SpecialFolder)))
            {
                DescribeFolder(folder_type);
            }
            txtFolders.Select(0, 0);
        }

        // Add a folder's information to the txtFolders TextBox.
        private void DescribeFolder(Environment.SpecialFolder folder_type)
        {
            txtFolders.AppendText(
                String.Format("{0,-25}", folder_type.ToString()) +
                Environment.GetFolderPath(folder_type) + "\r\n");
        }
    }
}
